
#include <stdio.h>
#include <string>
#include <iostream>
#include <execinfo.h>

#include <Poco/Util/ServerApplication.h>
#include <Poco/Observer.h>
#include <Poco/ThreadPool.h>
#include <Poco/FileStream.h>
#include <Poco/Process.h>
#include <Poco/NumberFormatter.h>
#include <iostream>
#include <vector> //vector
#include <ev++.h>

#include "ExistCppExampleBeacon.h" //ExistCppExampleBeacon


using std::string;
using namespace std;


class ExistCppExampleApp: public Poco::Util::ServerApplication
{
public:
    ExistCppExampleApp()
    {
        Poco::ThreadPool::defaultPool().setStackSize(2048*1024);
        Poco::ThreadPool::defaultPool().addCapacity(24  - Poco::ThreadPool::defaultPool().capacity());
    }

    virtual ~ExistCppExampleApp(){}

protected:

    void initialize(Poco::Util::Application& self)
    {
        loadConfiguration();
        ServerApplication::initialize(self);
    }

    void uninitialize()
    {
        ServerApplication::uninitialize();
    }

    int main(const std::vector<std::string>& args)
    {
        ev::default_loop loop;

        ExistCppExampleBeacon sideDoorBeacon; //信标对象。

        loop.run(0);

        return 0;
   }
};

int main(int argc, const char ** argv)
{
    ExistCppExampleApp app;
    app.run(argc, (char **)argv);
    return 0;
}
