#ifndef EXISTCPPEXAMPLEBEACON_H
#define EXISTCPPEXAMPLEBEACON_H

#include "OaPreCompile.h"

class ExistCppExampleBeacon
{
private:
    const exist::ServicePublishMessage::ServiceProtocolType LanServiceProtocolType = exist::ServicePublishMessage::MQTT; //!<服务协议类型是MQTT。
    const int LanServicePort = 1883;
    const string LanServiceName = "ExistCppExample"; //!<局域网服务名字。
    ServicePublisher servicePublisher; //!<服务发布器。
    void castBeacon(ev::timer &watcher,int revents); //!<发送信标信号。
    ev::timer beaconTimer; //!<用于定时发送信标信号的定时器。

public:
    ExistCppExampleBeacon(); //!<构造函数。
};

#endif
